#ifndef _meni_h_
#define _meni_h_
#include <iostream>
#include <cstdlib>
#include <climits>
#include <Windows.h>
#include "greske.h"
#include "biblioteka.h"
using namespace std;
class Meni {
	Biblioteka b;
	int opcija;

	void prikaziMeni();
	Delo* unesiDelo();
	void nabaviDelo();

	// brise sadrzaj ekrana pod operativnim sistemima MS-DOS i WINDOWS
	static void clrscr() { system("cls"); }

	bool dodajUKomplet(Komplet* k);
	static void nastavak(const bool& enter = true);
public:
	Meni(const char* naziv, const int& brPolica, const int& duzina);
	int getOpcija() const { return opcija; }
	void setOpcija();
	void radi();
};
#endif